RADIFF2(1)

NAME
radiff2 - unified binary diffing utility

SYNOPSIS
radiff2 [-stcrdVO] [file1] [file2]

DESCRIPTION
radiff2 implements many binary diffing algorithms for data and code.

-s  Calculate text distance from two files.

-c  Count number of differences.

-C  Graphdiff code instead of data

-t 0-100
    Choose matching threshold for binary code diffing

-O  Do code diffing with all bytes instead of just the fixed opcode bytes

-r  Output in radare commands as a binary patch.

-p  Use physical addressing (io.va=0)

-d  Use delta diffing (slower).

-V  Show version information.

-h  Show usage help message.

SEE ALSO

radare2(1), rafind2(1), rahash2(1), rabin2(1), ranal2(1), rasm2(1), ragg2(1), rarun2(1), rasc2(1), rax2(1),

AUTHORS

pancake <pancake@nopcode.org>, nibble <nibble@develsec.org>